Subject: bug#61071: New features: VC timemachine and BackupOnSave to RCS

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Jan 2024 14:42:11 -0800

John Yates <[email-masked]> writes:

> Stefan Kangas,
>
> Personal and family issues have arisen that make me quite unsure of
> when I will be able to return to this activity.
>
> I did address just about all of Stefan Monnier's feedback (see
> appended, never sent reply below).
>
> Currently the code is on a scratch/backup-on-save-to-rcs branch in my
> local repository.  I tried unsuccessfully to push it to Savannah:
>
> |   jyates@envy:~/repos/emacs.sv
> |   $ git push -u origin scratch/backup-on-save-to-rcs
> |   fatal: remote error: access denied or repository not exported: /emacs.git
>
> I was under the impression that no special permissions are needed to
> push a scratch branch.  Am I doing something wrong?

Apologies for the late reply here.

You need commit access to push a scratch branch.  Do you have that?

Perhaps you could send it as a patch if you can't get pushing to work?

> In my testing, the code works nicely.  My current sense of things that
> could be improved are:
> - Finding the proper commit in a series whose only metadata is the
> commit timestamp is sub-optimal.
> - It might be nice to have some kind of cron-based clean-up or commit squashing